import request from '@/utils/request'
const Url = "https://yunlot.baozhida.cn/API"

// 获取语言列表
export function getProductLang(parameter) {
	return request({
		url: '/ProductLang/List',
		method: 'post',
		data: parameter
	})
}

// 运行
export function getRunCode(parameter, lang) {
	return request({
		url: '/RunCode/Run?lang=' + lang,
		method: 'post',
		headers: {
			'Content-Type': 'text/plain;charset=UTF-8'
		},
		maxBodyLength: Infinity,
		baseURL: process.env.NODE_ENV === 'production' ? Url : '/APP',
		timeout: 60000, // 请求超时时间
		data: parameter
	})
}

// 公共编译打包
export function getRunCodeBuild(parameter, lang) {
	return request({
		url: '/RunCode/Build?lang=' + lang,
		method: 'post',
		headers: {
			'Content-Type': 'text/plain;charset=UTF-8'
		},
		maxBodyLength: Infinity,
		baseURL: process.env.NODE_ENV === 'production' ? Url : '/APP',
		timeout: 60000, // 请求超时时间
		data: parameter
	})
}

// 获取协议
export function getDeviceProt(parameter) {
  return request({
    url: '/DeviceProt/Get',
    method: 'post',
    data: parameter
  })
}
// 协议添加修改
export function getDeviceProtUpdate(parameter) {
  return request({
    url: '/DeviceProt/Update',
    method: 'post',
    data: parameter
  })
}