import request from '@/utils/request'
const Url = "https://yunlot.baozhida.cn/API"

// 获取网关列表
export function getProductMode(parameter) {
	return request({
		url: '/ProductMode/List',
		method: 'post',
		data: parameter
	})
}

// 获取网关市场列表
export function getGatewayMarket(parameter) {
  return request({
    url: '/Product/ProductMode/List',
    method: 'post',
    baseURL: process.env.NODE_ENV === 'production' ? Url : '/APP',
    data: parameter
  })
}
// 导入
export function getImport(parameter) {
  return request({
    url: '/ProductMode/Import',
    method: 'post',
    data: parameter,
    uploading: true,
    timeout: 100000, // 请求超时时间
    headers: {
      'Content-Type': 'multipart-formData'
    },
  })
}

// 获取编辑网关
export function productModeUpdata(parameter) {
  return request({
    url: '/ProductMode/Updata',
    method: 'post',
    uploading: true,
    timeout: 100000, // 请求超时时间
    data: parameter,
  })
}

// 获取编辑网关
export function productLog(parameter) {
  return request({
    url: '/ProductMode/Log',
    method: 'post',
    uploading: true,
    timeout: 100000, // 请求超时时间
    data: parameter,
  })
}
