import Vue from 'vue'
import VueRouter from 'vue-router'

// 解决路由重复跳转错误
const routerPush = VueRouter.prototype.push;
VueRouter.prototype.push = function(location) {
	return routerPush.call(this, location).catch(err => {})
};
Vue.use(VueRouter)

export default new VueRouter({
	mode: "history",
	routes: [{
		path: '/',
		name: 'product',
		component: () => import('@/views/product/index.vue'),
	}, {
		path: '/information',
		name: 'information',
		component: () => import('@/views/product/information.vue')
	}, {
		path: '/admin/index',
		name: 'adminIndex',
		component: () => import('@/views/admin/index.vue'),
	}, {
		path: '/deviceDetails',
		name: 'deviceDetails',
		component: () => import('@/views/device/deviceDetails.vue')
	}, {
		path: '/productPanel',
		name: 'productPanel',
		component: () => import('@/views/productPanel/index.vue')
	}, {
		path: '/about',
		name: 'about',
		component: () => import('@/views/AboutView.vue')
	}]
})