import axios from 'axios'
// import storage from 'store'
import router from '../router'
import store from '../store'
import {
	Message
} from 'element-ui';
import qs from 'qs'
// import {
//   refreshToken
// } from '@/api/login'
import Cookies from "js-cookie";
// 创建 axios 实例
// const Url = "https://aiot_coer_guizhou1.baozhida.cn/API"
const Url = "./API"
// const Url = "http://gascylindertest.baozhida.cn/gas_cylinder"
const request = axios.create({
	// API 请求的默认前缀
	baseURL: process.env.NODE_ENV === 'production' ? Url : '/API',
	timeout: 10000, // 请求超时时间
	withCredentials: false,
	headers: {
		'Content-Type': 'application/x-www-form-urlencoded',
		'Access-Control-Allow-Origin': '*'
	}
})

// 异常拦截处理器
const errorHandler = (error) => {
	if (error.message == 'timeout of 10000ms exceeded') {
		Message.error('当前网络不稳定,请更换网络重试')
		return error
	} else {
		if (error.response) {
			const data = error.response.data
			if (error.response.status === 403) {
				Message.error(data.message)
			}
			if (error.response.status === 401) {
				Message.error(data.message)
			}
		}
		return Promise.reject(error)
	}
}

// request interceptor
request.interceptors.request.use(config => {
	const uuid = Cookies.get('T_uuid')
	if (config.method === 'post' && config.baseURL != '/APP' && !config.uploading && config.baseURL !=
		'https://aiot_coer_guizhou1.baozhida.cn/API' && config.headers['Content-Type'] !=
		'text/plain;charset=UTF-8') {
		let data = qs.parse(config.data)
		config.data = qs.stringify({
			T_uuid: uuid,
			...data
		})
	}
	return config
}, errorHandler)

// response interceptor
request.interceptors.response.use((response) => {
	if (response.data.Code || response.data.code) {
		const res = response.data
		if (res.Code == 200 || res.code == 200) {
			return res
		} else {
			Message.error(res.Msg || res.message)
		}
		return response.data
	} else {
		return response.data
	}
}, errorHandler)

export default request

export {
	request as axios
}