const {
	defineConfig
} = require('@vue/cli-service')

module.exports = defineConfig({
	transpileDependencies: true,
	lintOnSave: false,
	//配置代理
	devServer: {
		proxy: {
			'/API': {
				target: 'https://aiot_coer_guizhou1.baozhida.cn/API', //线上
				// target: 'http://gascylindertest.baozhida.cn/gas_cylinder', //测试
				changeOrigin: true,
				pathRewrite: {
					'^/API': ''
				}
			},
			'/APP': {
				target: 'https://yunlot.baozhida.cn',
				changeOrigin: true,
				pathRewrite: {
					'^/APP': '/API'
				}
			}
		}
	},
	publicPath: '/', // 应用程序的基础 URL，默认值是 '/'
	outputDir: 'dist', // 构建输出目录，默认值是 'dist'
	assetsDir: 'static', // 静态资源目录 (js, css, img, fonts)，默认值是 'static'
	indexPath: 'index.html', // 指定首页文件，默认值是 'index.html'
	filenameHashing: true, // 是否启用文件名哈希，默认值是 true
	productionSourceMap: false, // 是否在生产环境下生成 source map，默认值是 true
	css: {
		extract: true, // 是否将 css 提取到单独的文件中，默认值是 true
		sourceMap: false, // 是否在开发模式下启用 source map，默认值是 false
	},
})